List an agent's chats
curl --request GET \
--url https://service.abundly.ai/workspaceapi/agents/{agentId}/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.abundly.ai/workspaceapi/agents/{agentId}/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.abundly.ai/workspaceapi/agents/{agentId}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chats": [
{
"id": "<string>",
"agentId": "<string>",
"createdDate": "<string>",
"starred": true,
"lastActivityDate": "<string>",
"shortDesc": "<string>",
"effort": "<string>",
"llmModel": "<string>",
"transport": {
"type": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
List an agent's chats
Chat conversations for the agent, without message bodies.
GET
/
workspaceapi
/
agents
/
{agentId}
/
chats
List an agent's chats
Authorizations
Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST endpoints the Workspace write API scope.
Path Parameters
The agent id to inspect. Must belong to the current scope (workspace, or team for team-scoped explorers).
Response
Success. Empty result sets are also 200.
Newest activity first, without message bodies.
Show child attributes
Show child attributes

